GET
/api/v1/scaler/scalegroups/{scaler_id}/public_ip/action/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/public_ip/action/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/public_ip/action/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/public_ip/action/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns whether the group’s nodes are launched with a public IP (is_public_ip_required).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”scaler_id
required
integer
The id of the auto scaling group, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the group.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
Public IP requirement for the group.
object
code
integer
data
object
is_public_ip_required
boolean
errors
object
message
string
Example
{ "code": 200, "data": { "is_public_ip_required": true }, "message": "Success"}